vte-sharp 0.16.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Widget A terminal widget implementation.

A is a terminal emulator implemented as a .

`using System; using System.Collections; using Gtk; using Gnome; using Vte; class T { static void Main (string[] args) { new T (args); } T (string[] args) { Program program = new Program ("vte-sharp-test", "0.0", Modules.UI, args); App app = new App ("vte-sharp-test", "Test for vte widget"); app.SetDefaultSize (600, 450); app.DeleteEvent += new DeleteEventHandler (OnAppDelete); HBox hbox = new HBox (); Terminal term = new Terminal (); term.EncodingChanged += new EventHandler (OnEncodingChanged); term.CursorBlinks = true; term.MouseAutohide = true; term.ScrollOnKeystroke = true; term.DeleteBinding = TerminalEraseBinding.Auto; term.BackspaceBinding = TerminalEraseBinding.Auto; term.Encoding = "UTF-8"; term.FontFromString = "Monospace 12"; term.TextDeleted += new EventHandler (OnTextDeleted); term.ChildExited += new EventHandler (OnChildExited); VScrollbar vscroll = new VScrollbar (term.Adjustment); hbox.PackStart (term); hbox.PackStart (vscroll); Gdk.Color white = new Gdk.Color (); Gdk.Color.Parse ("white", ref white); Gdk.Color black = new Gdk.Color (); Gdk.Color.Parse ("black", ref black); term.SetColors (black, white, white, 16); string[] argv = Environment.GetCommandLineArgs (); // wants an array of "variable=value" string[] envv = new string [Environment.GetEnvironmentVariables ().Count]; int i = 0; foreach (DictionaryEntry e in Environment.GetEnvironmentVariables ()) { if (e.Key == "" || e.Value == "") continue; string tmp = String.Format ("{0}={1}", e.Key, e.Value); envv[i] = tmp; i ++; } int pid = term.ForkCommand ( Environment.GetEnvironmentVariable ("SHELL"), argv, envv, Environment.CurrentDirectory, false, true, true); Console.WriteLine ("Child pid: {0}", pid); app.Contents = hbox; app.ShowAll (); program.Run (); } private void OnTextDeleted (object o, EventArgs args) { Console.WriteLine ("text deleted"); } private void OnEncodingChanged (object o, EventArgs args) { Console.WriteLine ("encoding changed"); } private void OnTextInserted (object o, EventArgs args) { Console.WriteLine ("text inserted"); } private void OnChildExited (object o, EventArgs args) { // optionally we could just reset instead of quitting Console.WriteLine ("child exited"); Application.Quit (); } private void OnAppDelete (object o, DeleteEventArgs args) { Application.Quit (); } }`

- Constructor
  0.16.0.0
  Default Constructor
- Constructor
  0.16.0.0
  System.Obsolete
  a
  Internal Constructor.
  This should not be called by normal applications.
- Constructor
  0.16.0.0
  a
  Internal Constructor.
  This should not be called by normal user code.
- Property
  0.16.0.0
  Gtk.Adjustment An accessor function provided for the benefit of language bindings. the contents of terminal's adjustment field
- Property
  0.16.0.0
  System.Boolean Controls whether or not the terminal will attempt to draw bold text by repainting text with a different offset. if the terminal should attempt to draw bold text
- Property
  0.16.0.0
  System.Boolean Controls whether or not the terminal will beep when the child outputs the "bl" sequence. a if the terminal should beep
- Property
  0.16.0.0
  Gdk.Pixbuf Sets a background image for the widget. to use, or to cancel Text which would otherwise be drawn using the default background color will instead be drawn over the specified image. If necessary, the image will be tiled to cover the widget's entire visible area.
- Property
  0.16.0.0
  System.String Sets a background image for the widget. a If specified by , the terminal will make its in-memory copy of the image darker for its own use.

  This is a convenience wrapper for . If your application intends to create multiple terminal widgets using the same background, performing this step yourself and just using will reduce memory consumption.

- Property
  0.16.0.0
  System.Double Adjust the brightness of the background image. a

  If a background image has been set using , , or , the terminal will adjust the brightness of the image before drawing the image. To do so, the terminal will create a copy of the background image (or snapshot of the root window) and modify its pixel values.

  If your application intends to create multiple terminal widgets with the same settings, performing this step yourself and just using will save memory.

- Property
  0.16.0.0
  Gdk.Color To be added a To be added
- Property
  0.16.0.0
  System.Boolean Sets the terminal's background image to the pixmap stored in the root window, adjusted so that if there are no windows below your application, the widget will appear to be transparent. if the terminal should fake transparency
- Property
  0.16.0.0
  Vte.TerminalEraseBinding Modifies the terminal's backspace key binding, which controls what string or control sequence the terminal sends to its child when the user presses the backspace key. a for the backspace key
- Property
  0.16.0.0
  System.Int64 An accessor function provided for the benefit of language bindings. the contents of terminal's char_ascent field
- Property
  0.16.0.0
  System.Int64 An accessor function provided for the benefit of language bindings. the contents of terminal's char_descent field
- Property
  0.16.0.0
  System.Int64 An accessor function provided for the benefit of language bindings. the contents of terminal's char_height field
- Event
  0.16.0.0
  GLib.Signal("char-size-changed")
  Vte.CharSizeChangedHandler Emitted whenever selection of a new font causes the values of the char_width or char_height fields to change.
- Property
  0.16.0.0
  System.Int64 An accessor function provided for the benefit of language bindings. a the contents of terminal's char_width field
- Event
  0.16.0.0
  GLib.Signal("child-exited")
  System.EventHandler This signal is emitted when the terminal detects that a child started using has exited.
- Event
  0.16.0.0
  GLib.Signal("copy-clipboard")
  System.EventHandler To be added. To be added.
- Event
  0.16.0.0
  GLib.Signal("paste-clipboard")
  System.EventHandler To be added. To be added.
- Property
  0.16.0.0
  Gdk.Color Sets the background color for text which does not have a specific background color assigned. the new background color Only has effect when no background image is set and when the terminal is not transparent.
- Property
  0.16.0.0
  Gdk.Color Sets the color used to draw bold text in the default foreground color. the new bold color
- Property
  0.16.0.0
  Gdk.Color To be added. To be added. To be added.
- Property
  0.16.0.0
  Gdk.Color Sets the color used to draw dim text in the default foreground color. the new dim color
- Property
  0.16.0.0
  Gdk.Color Sets the foreground color used to draw normal text the new foreground color
- Property
  0.16.0.0
  Gdk.Color To be added. To be added. To be added.
- Property
  0.16.0.0
  System.Int64 An accessor function provided for the benefit of language bindings. the contents of terminal's column_count field
- Event
  0.16.0.0
  GLib.Signal("commit")
  Vte.CommitHandler Emitted whenever the terminal receives input from the user and prepares to send it to the child process. The signal is emitted even when there is no child process.
- Event
  0.16.0.0
  GLib.Signal("contents-changed")
  System.EventHandler Emitted whenever the visible appearance of the terminal has changed. Used primarily by .
- Method
  0.16.0.0
  System.Void Places the selected text in the terminal in the GDK_SELECTION_CLIPBOARD selection.
- Method
  0.16.0.0
  System.Void Places the selected text in the terminal in the GDK_SELECTION_PRIMARY selection.
- Property
  0.16.0.0
  System.Boolean Sets whether or not the cursor will blink. if the cursor should blink The length of the blinking cycle is controlled by the "gtk-cursor-blink-time" GTK+ setting.
- Event
  0.16.0.0
  GLib.Signal("cursor-moved")
  System.EventHandler Emitted whenever the cursor moves to a new character cell. Used primarily by .
- Event
  0.16.0.0
  GLib.Signal("decrease-font-size")
  System.EventHandler Emitted when the user hits the '-' key while holding the Control key.
- Property
  0.16.0.0
  System.String To be added. To be added. To be added.
- Event
  0.16.0.0
  GLib.Signal("deiconify-window")
  System.EventHandler Emitted at the child application's request.
- Property
  0.16.0.0
  Vte.TerminalEraseBinding Modifies the terminal's delete key binding, which controls what string or control sequence the terminal sends to its child when the user presses the delete key. a for the delete key
- Property
  0.16.0.0
  System.String Sets what type of terminal the widget attempts to emulate by scanning for control sequences defined in the system's termcap file. the name of a terminal description Unless you are interested in this feature, always use "xterm".
- Event
  0.16.0.0
  GLib.Signal("emulation-changed")
  System.EventHandler Emitted when the terminal emulation type is changed.
- Property
  0.16.0.0
  System.String The encoding the terminal will expect data from the child to be encoded with. a valid gconv target For certain terminal types, applications executing in the terminal can change the encoding. The default encoding is defined by the application's locale settings.
- Event
  0.16.0.0
  GLib.Signal("encoding-changed")
  System.EventHandler Emitted when the terminals encoding type is changed.
- Event
  0.16.0.0
  GLib.Signal("eof")
  System.EventHandler To be added
- Method
  0.16.0.0
  System.Void `` a Interprets as if it were data received from a child process. This can either be used to drive the terminal without a child process, or just to mess with your users.
- Method
  0.16.0.0
  System.Void `` a Sends a block of UTF-8 text to the child as if it were entered by the user at the keyboard.
- Method
  0.16.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  0.16.0.0
  Pango.FontDescription The font used for rendering all text displayed by the terminal, overriding any fonts set using . The of the desired font. The terminal will immediately attempt to load the desired font, retrieve its metrics, and attempts to resize itself to keep the same number of rows and columns.
- Property
  0.16.0.0
  System.String A convenience function which converts name into a PangoFontDescription and passes it to . A string describing the font.
- Method
  0.16.0.0
  System.Int32 `` `` `` `` `` `` `` the name of a binary to run the argument list to be passed to a list of environment variables to be added to the environment before starting the name of a directory the command should start in, or if the session should be logged to the lastlog if the session should be logged to the utmp/utmpx log if the session should be logged to the wtmp/wtmpx log Starts the specified command under a newly-allocated control pseudo-terminal. the ID of the new process TERM is automatically set to reflect the terminal widget's emulation setting. If lastlog, utmp, or wtmp are , logs the session to the specified system log files.
- Method
  0.16.0.0
  System.Void `` `` long which will hold the column long which will hold the row Reads the location of the insertion cursor and returns it. The row coordinate is absolute.
- Method
  0.16.0.0
  System.Void `` `` a in which to store left/right-edge padding a in which to store top/bottom-edge ypadding Determines the amount of additional space the widget is using to pad the edges of its visible area. This is necessary for cases where characters in the selected font do not themselves include a padding area and the text itself would be contiguous with the window border. Applications which use the widget's row_count, column_count, char_height, and char_width fields to set geometry hints using gtk_window_set_geometry_hints() will need to add this value to the base size. The values returned in xpad and ypad are the total padding used in each direction, and do not need to be doubled.
- Method
  0.16.0.0
  System.String `` `` `` a callback user data to be passed to the callback location for storing text attributes Extracts a view of the visible part of the terminal. a If is not , characters will only be read if returns after being passed the column and row, respectively. A structure is added to attributes for each byte added to the returned string detailing the character's position, colors, and other characteristics.
- Method
  0.16.0.0
  System.String `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  0.16.0.0
  System.String `` `` `` `` `` `` `` first row to search for data first column to search for data last row to search for data last column to search for data a callback user data to be passed to the callback location for storing text attributes Extracts a view of the visible part of the string. a If is not , characters will only be read if returns after being passed the column and row, respectively. A structure is added to attributes for each byte added to the returned string detailing the character's position, colors, and other characteristics. The entire scrollback buffer is scanned, so it is possible to read the entire contents of the buffer using this function.
- Property
  0.16.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  0.16.0.0
  System.Boolean Checks if the terminal currently contains selected text. if part of the text in the terminal is selected. Note that this is different from determining if the terminal is the owner of any items.
- Event
  0.16.0.0
  GLib.Signal("iconify-window")
  System.EventHandler Emitted at the child application's request.
- Property
  0.16.0.0
  System.String An accessor function provided for the benefit of language bindings. the contents of terminal's icon_title field
- Event
  0.16.0.0
  GLib.Signal("icon-title-changed")
  System.EventHandler Emitted when the terminal's icon_title field is modified.
- Method
  0.16.0.0
  System.Void `` a Appends menu items for various input methods to the given menu. The user can select one of these items to modify the input method used by the terminal.
- Event
  0.16.0.0
  GLib.Signal("increase-font-size")
  System.EventHandler Emitted when the user hits the '+' key while holding the Control key.
- Method
  0.16.0.0
  System.Boolean `` a Determines if a character is considered to be part of a word if is considered to be a word character according to the current value of .
- Event
  0.16.0.0
  GLib.Signal("lower-window")
  System.EventHandler Emitted at the child application's request.
- Method
  0.16.0.0
  System.Int32 `` a regular expression Adds a regular expression to the list of matching expressions. an integer associated with this expression When the user moves the mouse cursor over a section of displayed text which matches this expression, the text will be highlighted.
- Method
  0.16.0.0
  System.String `` `` `` the text column the text row pointer to an integer Checks if the text in and around the specified position matches any of the regular expressions previously set using . a string which matches one of the previously set regular expressions If a match exists, the text string is returned and if is not , the number associated with the matched regular expression will be stored in tag. If more than one regular expression has been set with , then expressions are checked in the order in which they were added.
- Method
  0.16.0.0
  System.Void Clears the list of regular expressions the terminal uses to highlight text when the user moves the mouse cursor.
- Method
  0.16.0.0
  System.Void `` the tag of the regex to remove Removes the regular expression which is associated with the given from the list of expressions which the terminal will highlight when the user moves the mouse cursor over matching text.
- Method
  0.16.0.0
  System.Void `` `` a a To be added To be added
- Method
  0.16.0.0
  System.Void `` `` a a To be added To be added
- Event
  0.16.0.0
  GLib.Signal("maximize-window")
  System.EventHandler Emitted at the child application's request.
- Property
  0.16.0.0
  System.Boolean The value of the terminal's mouse autohide setting. if the autohide should be enabled When autohiding is enabled, the mouse cursor will be hidden when the user presses a key and shown when the user moves the mouse.
- Event
  0.16.0.0
  GLib.Signal("move-window")
  Vte.MoveWindowHandler Emitted at the child application's request.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCharSizeChanged", Type=typeof(Vte.Terminal))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideChildExited", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClipboardCopied", Type=typeof(Vte.Terminal))
  System.Void To be added. To be added.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClipboardPasted", Type=typeof(Vte.Terminal))
  System.Void To be added. To be added.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCommit", Type=typeof(Vte.Terminal))
  System.Void `` `` a Representing the input data to commit. This can be a single character or a string. a The length of P0. Default handler for the event. Override this method in a subclass to provide a default handler for the event.

  P0 can contain control characters. Every key the user presses will emmit a commit signal. About the only thing that will send a sring in P0 will be if the users pasts in some text. Also you must call the parent or base class OnCommit or things will get ugly.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideContentsChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCursorMoved", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDecreaseFontSize", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDeiconifyWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEmulationChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEncodingChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEof", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIconifyWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIconTitleChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideIncreaseFontSize", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLowerWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMaximizeWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideMoveWindow", Type=typeof(Vte.Terminal))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRaiseWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRefreshWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideResizeWindow", Type=typeof(Vte.Terminal))
  System.Void `` `` a a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRestoreWindow", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSelectionChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStatusLineChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextDeleted", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextInserted", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextModified", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideTextScrolled", Type=typeof(Vte.Terminal))
  System.Void `` a Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  0.16.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideWindowTitleChanged", Type=typeof(Vte.Terminal))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  0.16.0.0
  System.UInt16 To be added. To be added. To be added.
- Method
  0.16.0.0
  System.Void Sends the contents of the GDK_SELECTION_CLIPBOARD selection to the terminal's child. If necessary, the data is converted from UTF-8 to the terminal's current encoding.
- Method
  0.16.0.0
  System.Void Sends the contents of the GDK_SELECTION_PRIMARY selection to the terminal's child. If necessary, the data is converted from UTF-8 to the terminal's current encoding. The terminal will call also paste the GDK_SELECTION_PRIMARY selection when the user clicks with the the second mouse button.
- Property
  0.16.0.0
  System.Int32 To be added. To be added. To be added.
- Event
  0.16.0.0
  GLib.Signal("raise-window")
  System.EventHandler Emitted at the child application's request.
- Event
  0.16.0.0
  GLib.Signal("refresh-window")
  System.EventHandler Emitted at the child application's request.
- Method
  0.16.0.0
  System.Void `` `` to reset tabstops to empty the terminal's scrollback buffer Resets as much of the terminal's internal state as possible. Resets as much of the terminal's internal state as possible, discarding any unprocessed input data, resetting character attributes, cursor state, national character set state, status line, terminal modes (insert/delete), selection state, and encoding.
- Event
  0.16.0.0
  GLib.Signal("resize-window")
  Vte.ResizeWindowHandler Emitted at the child application's request.
- Event
  0.16.0.0
  GLib.Signal("restore-window")
  System.EventHandler Emitted at the child application's request.
- Property
  0.16.0.0
  System.Int64 An accessor function provided for the benefit of language bindings. the contents of terminal's row_count field
- Property
  0.16.0.0
  System.Boolean To be added a To be added
- Property
  0.16.0.0
  System.Int64 Sets the length of the scrollback buffer used by the terminal. the length of the history buffer The size of the scrollback buffer will be set to the larger of this value and the number of visible rows the widget can display, so 0 can safely be used to disable scrollback. Note that this setting only affects the normal screen buffer. For terminal types which have an alternate screen buffer, no scrollback is allowed.
- Property
  0.16.0.0
  System.Boolean Controls whether or not the terminal will forcibly scroll to the bottom of the viewable history when the user presses a key. if the terminal should scroll on keystrokes Modifier keys do not trigger this behavior.
- Property
  0.16.0.0
  System.Boolean Controls whether or not the terminal will forcibly scroll to the bottom of the viewable history when the new data is received from the child. if the terminal should scroll on output
- Method
  0.16.0.0
  System.Void To be added. To be added.
- Event
  0.16.0.0
  GLib.Signal("selection-changed")
  System.EventHandler Emitted whenever the contents of terminal's selection changes.
- Method
  0.16.0.0
  System.Void To be added. To be added.
- Method
  0.16.0.0
  System.Void `` `` `` `` the new foreground color, or the new background color, or the color palette the number of entries in Change the colors of the

  The terminal widget uses a 28-color model comprised of the default foreground and background colors, the bold foreground color, the dim foreground color, an eight color palette, and bold versions of the eight color palette, and a dim version of the the eight color palette.

  must be either 0, 8, 16, or 24. If is and is greater than 0, the new foreground color is taken from palette[7]. If is and is greater than 0, the new background color is taken from palette[0]. If is 8 or 16, the third (dim) and possibly second (bold) 8-color palette is extrapolated from the new background color and the items in palette.

- Method
  0.16.0.0
  System.Void Reset the terminal palette to reasonable compiled-in defaults.
- Method
  0.16.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.16.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  0.16.0.0
  System.Void `` `` the desired number of columns the desired number of rows Attempts to change the terminal's size in terms of rows and columns. If the attempt succeeds, the widget will resize itself to the proper size.
- Property
  0.16.0.0
  System.String Some terminal emulations specify a status line which is separate from the main display area, and define a means for applications to move the cursor to the status line and back. The current contents of the terminal's status line. For terminals like "xterm", this will usually be the empty string. The string must not be modified or freed by the caller.
- Event
  0.16.0.0
  GLib.Signal("status-line-changed")
  System.EventHandler Emitted whenever the contents of the status line are modified or cleared.
- Event
  0.16.0.0
  GLib.Signal("text-deleted")
  System.EventHandler An internal signal used for communication between the terminal and its accessibility peer. May not be emitted under certain circumstances.
- Event
  0.16.0.0
  GLib.Signal("text-inserted")
  System.EventHandler An internal signal used for communication between the terminal and its accessibility peer. May not be emitted under certain circumstances.
- Event
  0.16.0.0
  GLib.Signal("text-modified")
  System.EventHandler An internal signal used for communication between the terminal and its accessibility peer. May not be emitted under certain circumstances.
- Event
  0.16.0.0
  GLib.Signal("text-scrolled")
  Vte.TextScrolledHandler An internal signal used for communication between the terminal and its accessibility peer. May not be emitted under certain circumstances.
- Property
  0.16.0.0
  System.Boolean Whether a is using Xft to draw text. if the terminal is using Xft to render, if the terminal is using Pango or Xlib. This function allows an application to determine which mode the widget is in. This setting cannot be changed by the caller, but in practice usually matches the behavior of Gtk itself.
- Property
  0.16.0.0
  System.Boolean Controls whether or not the terminal will present a visible bell to the user when the child outputs the "bl" sequence. if visible bell is enabled, if not The terminal will clear itself to the default foreground color and then repaint itself.
- Property
  0.16.0.0
  System.String An accessor function provided for the benefit of language bindings. the contents of terminal's window_title field the contents of terminal's window_title field
- Event
  0.16.0.0
  GLib.Signal("window-title-changed")
  System.EventHandler Emitted when the terminal's window_title field is modified.
- Property
  0.16.0.0
  System.String When the user double-clicks to start selection, the terminal will extend the selection on word boundaries. a specification

  When the user double-clicks to start selection, the terminal will extend the selection on word boundaries. It will treat characters passed in as parts of words, and all other characters as word separators. Ranges of characters can be specified by separating them with a hyphen.

  As a special case, if set to or the empty string, the terminal will treat all graphic non-punctuation characters as word characters.